org.eclipse.modisco.kdm.source.extension.discovery

## Interface SourceVisitListener

    public interface SourceVisitListener

Represents a listener that can be added to a discoverer in order to be notified when a source region is visited by a discoverer. See Help Contents or http://wiki.eclipse.org/MoDisco/Components/KDMSourceExtension See also `org.eclipse.modisco.kdm.source.extension.discovery.AbstractRegionDiscoverer`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `sourceRegionVisited(java.lang.String filePath, int startOffset, int endOffset, int startLine, int endLine, EObject targetNode)` Abstract method to be implemented in composite discoverers.

### Method Detail

#### sourceRegionVisited

    void sourceRegionVisited(java.lang.String filePath,
                             int startOffset,
                             int endOffset,
                             int startLine,
                             int endLine,
                             EObject targetNode)

Abstract method to be implemented in composite discoverers. A typical implementation will instantiate an `ASTNodeSourceRegion`.

Parameters:
  `filePath` - the path of the file containing the source region
  `startOffset` - the start offset of the source code region
  `endOffset` - the end offset of the source code region
  `startLine` - the first line of the source code region
  `endLine` - the last line of the source code region
  `targetNode` - the corresponding model element